//
// FILE: sampdll.h
//
// Copyright (c) 1997 by Aaron Michael Cohen and Mike Woodring
//
/////////////////////////////////////////////////////////////////////////

// Skip processing this header file multiple times.
//
#ifndef __SAMPDLL_H__
#define __SAMPDLL_H__

// Avoid any confusion between the implementation of this
// DLL being in C++ and the exported functions being available
// to C-based code.
//
#ifdef __cplusplus
extern "C" {
#endif

// Determine if this header is being included in the DLL
// code that is implementing and exporting this API, or
// in client code that is importing this API.
//
#ifdef EXPORT_SAMPDLL_API
#define SAMPDLL_API __declspec(dllexport)
#else
#define SAMPDLL_API __declspec(dllimport)
#endif

// The following functions are exported by this DLL.
//
SAMPDLL_API void __stdcall SayHello( void );

// Pointer-to-function typedefs that can be used if this
// DLL is dynamically loaded and bound to using LoadLibrary
// and GetProcAddress.  A pointer-to-function typedef is
// provided for every exported function listed above.
//
typedef void (__stdcall * PFXNSAYHELLO)( void );

#ifdef __cplusplus
} // extern "C" {
#endif

#endif // __SAMPDLL_H__
