//
// FILE: countapp2.cpp
//
// Copyright (c) 1997 by Aaron Michael Cohen and Mike Woodring
//
/////////////////////////////////////////////////////////////////////////

#include <windows.h>
#include <stdio.h>
#include <tchar.h>

typedef LONG (WINAPI *PFXNGETATTACHEDPROCESSCOUNT)( void );

void main( void )
{
    HINSTANCE hLib;

    hLib = LoadLibrary(__TEXT("proccount.dll"));

    if( hLib )
    {
        PFXNGETATTACHEDPROCESSCOUNT    pfxnGetAttachedProcessCount;
        LONG                          *pglAttachedProcessCount;

        pfxnGetAttachedProcessCount = (PFXNGETATTACHEDPROCESSCOUNT)
            GetProcAddress(hLib, "GetAttachedProcessCount");

        pglAttachedProcessCount = (LONG *)
            GetProcAddress(hLib, "glAttachedProcessCount");

        if( pfxnGetAttachedProcessCount && pglAttachedProcessCount )
        {
            _tprintf(
                __TEXT("countapp2: glAttachedProcessCount = %d (%d)\n"),
                *pglAttachedProcessCount,
                (* pfxnGetAttachedProcessCount)()
            );

            Sleep(10000);
        }
        else
        {
            _tprintf(__TEXT("countapp2: Failed to locate dll exports\n"));
        }

        FreeLibrary(hLib);
    }
    else
    {
        _tprintf(__TEXT("countapp2: LoadLibrary failed\n"));
    }
}
